=== debian/changelog ===
hubzero-mw2-exec-proxy (2.2.0-3+deb8) unstable; urgency=low

  * Initial release of packaged hubzero-mw2-exec-proxy

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 11 Apr 2018 10:21:02 -0400
