## hubzero-mw2-exec-proxy 2.2.1-1+deb8

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # @copyright    Copyright (c) 2016-2017 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Packaging of original work by Richard L. Kennell
 #
 # Copyright (c) 2016-2017 HUBzero Foundation, LLC.
 #
