=== debian/changelog ===
hubzero-mw2-exec-proxy (2.2.1-1+deb8) unstable; urgency=low

  * Added debian packaging dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Jun 2018 13:39:20 -0400

hubzero-mw2-exec-proxy (2.2.0-3) unstable; urgency=low

  * Initial release of packaged hubzero-mw2-exec-proxy

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 13 Apr 2018 14:38:02 -0400
