## hubzero-mw2-exec-proxy 2.2.3-1+deb8

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 
 postinst:
 	sed -i "s|HOSTNAME|$(HOSTNAME)|" $(ETCDIR)/mw-proxy/exec-proxy.conf
-	if [ -x /usr/sbin/adduser ]; then \
+	if [ ! -h /usr/sbin/adduser ] && [ -f /usr/sbin/adduser ]; then \
 		getent passwd $(RUNUSER) >/dev/null || adduser --system --home /var/lib/$(RUNUSER) --quiet --group --gecos "HUBzero Weber Front Proxy Service" $(RUNUSER) ; \
 		getent group $(WEBGROUP) >/dev/null || adduser --system --home /var/lib/$(WEBGROUP) --quiet --group --gecos "Web service user" $(WEBGROUP) ; \
 	else \
@@ -99,7 +99,7 @@
 		-c "HUBzero Weber Proxy Service" $(RUNUSER) ; \
 		getent group $(WEBGROUP) >/dev/null || groupadd -r $(WEBGROUP) ; \
 	fi
-	
+	getent group $(RUNUSER) >/dev/null || exit 1
 	install --mode 0750 -o $(RUNUSER) -g $(RUNUSER) -d /var/log/exec-proxy
 	chown -R root:$(WEBGROUP) $(ETCDIR)/mw-proxy
 	chmod 0750 $(ETCDIR)/mw-proxy
