=== debian/changelog ===
hubzero-mw2-exec-proxy (2.2.3-1+deb8) unstable; urgency=low

  * add ability to calculate IP addresses both for openvz and docker models

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 18 Apr 2019 11:08:43 -0400

hubzero-mw2-exec-proxy (2.2.2-1) unstable; urgency=low

  * Add TLS 1.2 Support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Feb 2019 15:24:58 -0500

hubzero-mw2-exec-proxy (2.2.1-1) unstable; urgency=low

  * Added debian packaging dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Jun 2018 13:39:20 -0400
