## hubzero-mw2-exec-proxy 2.2.5-1+deb9

=== debian/changelog ===
hubzero-mw2-exec-proxy (2.2.5-1+deb9) unstable; urgency=low

  * Add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 aug 2020 19:58:11 -0700

hubzero-mw2-exec-proxy (2.2.4-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sat, 02 May 2020 13:48:31 -0700

hubzero-mw2-exec-proxy (2.2.3-1) unstable; urgency=low

  * add ability to calculate IP addresses both for openvz and docker models

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 18 Apr 2019 11:08:43 -0400
