## hubzero-mw2-exec-proxy 2.2.6-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # @package      hubzero-mw2-exec-proxy
 # @file         Makefile
-# @author       Pascal Meunier <pmeunier@purdue.edu>
-# @copyright    Copyright (c) 2016-2017 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2016-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
 #
-# Copyright (c) 2016-2017 HUBzero Foundation, LLC.
+# Copyright (c) 2016-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -25,7 +24,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRBIN=$(DESTDIR)/usr/bin
@@ -87,6 +86,7 @@
 uninstall:
 	rm -f $(USRBIN)/exec-proxy.py
 	rm -f $(LOGROTDIR)/hubzero-mw2-exec-proxy
+	rm -f $(ETCDIR)/init.d/exec-proxy
 
 postinst:
 	sed -i "s|HOSTNAME|$(HOSTNAME)|" $(ETCDIR)/mw-proxy/exec-proxy.conf
@@ -105,9 +105,9 @@
 	chmod 0750 $(ETCDIR)/mw-proxy
 	chown -R $(RUNUSER):$(RUNUSER) $(LOGDIR)/exec-proxy
 
+docker_install: manual_install
+
 clean:
-	rm -f $(USRBIN)/exec-proxy.py
-	rm -f $(LOGROTDIR)/hubzero-mw2-exec-proxy
-	rm -f $(ETCDIR)/init.d/exec-proxy
+	@true
 
-.PHONY: all install uninstall postinst clean
+.PHONY: all install uninstall postinst clean docker_install manual_install
