=== debian/changelog ===
hubzero-mw2-exec-proxy (2.2.6-1+deb9) unstable; urgency=low

  * fix init.d file installation for Debian

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 aug 2020 20:10:44 -0700

hubzero-mw2-exec-proxy (2.2.5-1) unstable; urgency=low

  * Add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 aug 2020 19:58:11 -0700
