=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: hubzero-mw2-exec-proxy
 Architecture: all
-Depends: python (>=2.7), hubzero-mw2-common, hubzero-mw2-exec-service, python-openssl, ${misc:Depends}
+Depends: adduser, python (>=2.7), hubzero-mw2-common, hubzero-mw2-exec-service, python-openssl, ${misc:Depends}
 Description: HUBzero Middleware 2 Exec Proxy
  Back facing proxy HUBzero Middleware 2
