=== debian/rules ===
--- 
+++ 
@@ -54,6 +54,7 @@
 	@echo "########## build ##########"
 	dh_testdir
 	$(MAKE)
+	cp $(CURDIR)/init_d_exec-proxy $(CURDIR)/debian/exec-proxy.init
 	>$@
 
 clean:
@@ -62,6 +63,7 @@
 	dh_testroot
 	rm -fr build configure
 	$(MAKE) clean
+	rm -f $(CURDIR)/debian/exec-proxy.init
 	dh_clean
 
 install: build
@@ -71,7 +73,6 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mw2-exec-proxy install
-	#$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mw2-exec-proxy COMPILE=--no-compile install
 
 binary-indep: install
 	@echo "########## binary-indep ##########"
@@ -82,7 +83,7 @@
 	dh_installexamples -i
 	dh_install -i
 	dh_installlogrotate -i
-	dh_installinit -i
+	dh_installinit -i --name=exec-proxy
 	dh_installman -i
 	#dh_python2 -i
 	dh_link -i
